# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           bonk
Version:        0.6
Release:        2.2
Summary:        A lossy/lossless audio coder
License: GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://www.logarithmic.net/pfh/bonk/
# http://www.logarithmic.net/pfh-files/bonk/bonk-%{version}.tar.gz
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-gcc.diff
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bonk is a high quality audio compression program. It can operate
in either lossless or lossy mode. In lossless mode, the exact
original WAV file can be recovered from the compressed file. In
lossy mode, some information is discarded in the compressed file,
yielding a much higher compression ratio. The information
discarded is perceptually unimportant, and the result should be
a *perceptually* lossless encoding. Bonk can compress some types
of sounds more than others, so the actual bit-rate achieved varies.

In lossy mode, it can compress some types of sound to as low as
95 kbps (a compression ration of 14:1) while maintaining
perceptually lossless CD quality stereo. In general, the
compression ratio achieved by Bonk is slightly higher than that
achieved using the more common MP3 format, for equivalent sound
quality. In particular it copes with transients (eg clapping,
drum beats) better. Performance on purely tonal sound is roughly
equivalent to MP3.

In lossless mode the compression ratio is typically around 2:1.

%prep
%setup -q
%patch

%build
%__make %{?_smp_flags}

%install
%__install -dm 755  %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc README COPYING
%{_bindir}/bonk

%changelog
* Thu Aug 30 2007 toni@links2linux.de
- openSuSE-10.3 build
* Wed Dec  6 2006 toni@links2linux.de
- initial build 0.6
